%
% sample of usage for the  chdav()   
%

global A   x0  x1  nvmax   mode  Title  filename  
global opert  
global MVprod  

%
% setup the input matrix (need not be hermitian)
%
  %A = delsq(numgrid('N', 70));
   A = conv_diff(30, 20, 10, 1, 1, rand(6000,1));
  
%
% use all default parameters to compute 30 eigenpairs of A with "smallest real parts"
%
  [e, V]=gdav(A, 30); 

  
%
% use all default parameters to compute 20 eigenpairs of A with "largest real parts"
%
  [e, V]=gdav(A, 20, 'LR'); 
  
  
%  
% use some options, 
%   e.g,   use linear equation solver  les_solver=61  (i.e., solver 'jdm-gmres') 
%          and use tol=1e-9         
%
  opts=struct('les_solver', 61, 'tol', 1e-9);  

  % compute  30 eigenpairs of A with "largest magnitude"
  [e, V]=gdav(A, 30, 'LM', opts); 

